;----------------------------------------------------------------------------
; SynTP.inf
;
; Installs Synaptics Touchpad driver files on Windows 2000 and WinXP.
; Copyright (c) 1996-2002, Synaptics, Inc.
;----------------------------------------------------------------------------


[Version]
Signature="$Windows NT$"
Class=Mouse
ClassGUID={4D36E96F-E325-11CE-BFC1-08002BE10318}
Provider=%Provider%
CatalogFile=SynTP.cat
DriverVer=07/05/2002, 6.6.0.0

[SourceDisksNames]
1=%DiskName%,,

[SourceDisksFiles]
SynTP.sys = 1
SynTPAPI.dll = 1
SynTPFcs.dll = 1
SynTPLpr.exe = 1
SynTPCpl.dll = 1
SynTPCpl.exe = 1
SynCntxt.rtf = 1
SynZMetr.exe = 1
SynMood.exe = 1
SynTPEnh.exe = 1
SynTPEnh.ini = 1
SynTPCOM.dll = 1
Tutorial.exe = 1
InstNT.exe = 1
SynISDLL.dll = 1
SynTPCoI.dll = 1
SynUnst.ini = 1

;----------------------------------------------------------------------------
; Manufacturer Sections
;----------------------------------------------------------------------------

[Manufacturer]
%SynMfg% = SynMfg ; (Standard types)
%IBMMfg% = IBMMfg ; (IBM Devices)

[IBMMfg]
%PS2.IBMDeviceDesc% = IBM0057_Inst,*IBM0057  ; Std IBM DualPoint 

[SynMfg]
%Ser.DeviceDesc% = SynTP_Ser_Inst,SERIAL_MOUSE,*SYN0001,SERENUM\SYN0001
%PS2.DeviceDesc% = SynPS2_Inst,*PNP0F13,*PNP0F0E,*PNP0F03,*PNP0F12   ; Std PS/2 mouse
%PS2.SynDeviceDesc% = SynPS2_Inst,*SYN0100  ; Compaq
%PS2.SonyDeviceDesc% = SynPS2_Inst,*SNY9003 ; Sony
%PS2.NECDeviceDesc% = SynPS2_Inst,*SYN0201  ; NEC
%PS2.SynDeviceDesc% = SynPS2_Inst,*SYN0401  ; Gateway
%PS2.SynDeviceDesc% = SynPS2_Inst,*SYN0002  ; Synaptics TouchPad
DummySectionForWHQL = Uninstall, *DontUse   ; This PNPID should never be used.
%HID\Vid_06CB&Pid_0001.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0001
%HID\Vid_06CB&Pid_0002.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0002
%HID\Vid_06CB&Pid_0003.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0003
%HID\Vid_06CB&Pid_0006.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0006
%HID\Vid_06CB&Pid_0007.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0007
%HID\Vid_06CB&Pid_0008.DeviceDesc%=HID_Inst, HID\Vid_06CB&Pid_0008

[ControlFlags]
ExcludeFromSelect=HID\Vid_06CB&Pid_0001,HID\Vid_06CB&Pid_0002,HID\Vid_06CB&Pid_0003
ExcludeFromSelect=HID\Vid_06CB&Pid_0006,HID\Vid_06CB&Pid_0007,HID\Vid_06CB&Pid_0008
ExcludeFromSelect=*IBM0057,*SNY9003,*SYN0002,*SYN0100, *SYN0201, *SYN0401, *DontUse

;----------------------------------------------------------------------------
; Install Sections
;----------------------------------------------------------------------------

[DestinationDirs]
DefaultDestDir        = 12 ; Drivers directory
CopyFiles_Drivers     = 12 ; Drivers directory
CopyFiles_System      = 11 ; System directory
CopyFiles_ProgFiles   = 16422, %targetdir%  ; Program files
CopyFiles_Help        = 16422, %targetdir%  ; Program files
CopyFiles_CoInstaller = 11 ; System directory
DelFiles_MS  = 16422, %targetdir%  ; Program files

; Registry Modification Sections

; Service Installation Sections

[SynTP_Service_Inst]
DisplayName    = %SynTP.SvcDesc%
ServiceType    = 1                  ; SERVICE_KERNEL_DRIVER
StartType      = 3
ErrorControl   = 1                  ; SERVICE_ERROR_NORMAL
ServiceBinary  = %12%\SynTP.sys
LoadOrderGroup = Pointer Port
AddReg	       = Service_AddReg

[Service_AddReg]
HKR,Parameters,FeatureSet,0x00010001,1
HKR,Parameters,StickSI0,0x00010001,0xFC
HKR,Parameters,StickSI1,0x00010001,0xE1
HKR,Parameters,StickSI2,0x00010001,0xC9
HKR,Parameters,StickSI3,0x00010001,0xB3
HKR,Parameters,StickSI4,0x00010001,0xA0
HKR,Parameters,StickSI5,0x00010001,0x8F
HKR,Parameters,StickSI6,0x00010001,0x80
HKR,Parameters,StickSI7,0x00010001,0x72
HKR,Parameters,StickSI8,0x00010001,0x66
HKR,Parameters,StickPTSI0,0x00010001,0x20
HKR,Parameters,StickPTSI1,0x00010001,0x26
HKR,Parameters,StickPTSI2,0x00010001,0x2C
HKR,Parameters,StickPTSI3,0x00010001,0x32
HKR,Parameters,StickPTSI4,0x00010001,0x38
HKR,Parameters,StickPTSI5,0x00010001,0x40
HKR,Parameters,StickPTSI6,0x00010001,0x46
HKR,Parameters,StickPTSI7,0x00010001,0x4C
HKR,Parameters,StickPTSI8,0x00010001,0x52

;----------------------------------------------------------------------------
; Entry point for uninstallation.
; This section is executed as part of uninstallation.
;----------------------------------------------------------------------------

[Uninstall]
CopyFiles = No_Files
DelFiles = CopyFiles_Drivers,CopyFiles_System,CopyFiles_ProgFiles,CopyFiles_Help,CopyFiles_CoInstaller, DelFiles_MS
DelReg = Uninstall_DelReg

[No_Files]

[DelFiles_MS]
SynTP.gid

;----------------------------------------------------------------------------
; Uninstall sections
;----------------------------------------------------------------------------

[Uninstall_DelReg]
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\%uninstallKey%
HKCR,CLSID\{2F603045-309F-11CF-9774-0020AFD0CFF6}
HKLM,"Software\Microsoft\Windows\CurrentVersion\Controls Folder\Mouse\shellex\PropertySheetHandlers\SynTP"
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SynTPLpr
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SynTPEnh
HKLM,Software\Microsoft\Windows\Help,SynTP.hlp
HKLM,System\CurrentControlSet\Services\SynTP
HKLM,Software\Synaptics
HKCU,Software\Synaptics

;----------------------------------------------------------------------------
; Event Log Setup Sections
;----------------------------------------------------------------------------

[SynTP_EventLog_Inst]
AddReg = SynTP_EventLog_AddReg

[SynTP_EventLog_AddReg]
HKR,,EventMessageFile,0x00020000,"%%SystemRoot%%\System32\IoLogMsg.dll;%%SystemRoot%%\System32\drivers\SynTP.sys"
HKR,,TypesSupported,0x00010001,7

;----------------------------------------------------------------------------
; Common File Copy and Registry Operations for All TouchPads
;----------------------------------------------------------------------------

; Drivers directory
[CopyFiles_Drivers]
SynTP.sys,,,0x00000001

; System directory
[CopyFiles_System]
SynTPAPI.dll,,,0x00000001
SynTPFcs.dll,,,0x00000001

; Program Files directory
[CopyFiles_ProgFiles]
SynTPLpr.exe,,,0x00000001
SynTPCpl.dll,,,0x00000001
SynTPCpl.exe,,,0x00000001
SynCntxt.rtf,,,0x00000001
SynZMetr.exe,,,0x00000001
SynMood.exe,,,0x00000001
SynTPEnh.exe,,,0x00000001
SynTPEnh.ini,,,0x00000001
SynTPCOM.dll,,,0x00000001
Tutorial.exe,,,0x00000001
InstNT.exe,,,0x00000001
SynISDLL.dll,,,0x00000001
SynUnst.ini,,,0x00000001

[CopyFiles_Help]
SynTP.hlp,,,0x00000001
SynTP.cnt,,,0x00000001
SynTP.chm,,,0x00000001
TP4table.dat,,,0x00000001
TP4Sc_JP.htm,,,0x00000001
TP4Sc_GR.htm,,,0x00000001
TP4Sc_IT.htm,,,0x00000001
TP4Sc_SP.htm,,,0x00000001
TP4Sc_FR.htm,,,0x00000001
TP4Sc_FI.htm,,,0x00000001
TP4Sc_NL.htm,,,0x00000001
TP4Sc_NO.htm,,,0x00000001
TP4Sc_DK.htm,,,0x00000001
TP4Sc_SE.htm,,,0x00000001
TP4Scrol.htm,,,0x00000001
TP4-A123.GIF,,,0x00000001
TP4-ASR.GIF,,,0x00000001
TP4-HEAD.GIF,,,0x00000001
TP4-I.JPG,,,0x00000001
TP4-IMG.JPG,,,0x00000001
TP4-ISR.JPG,,,0x00000001

[CopyFiles_CoInstaller]
SynTPCoI.dll,,,0x00000001

[Common_DelReg]
HKLM,Software\Synaptics\SynTPEnh,InstallationTime

[Common_AddReg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\%uninstallKey%,UninstallString,0x00000000,"rundll32.exe ""%16422%\%targetdir%\SynISDLL.dll"",standAloneUninstall"
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\%uninstallKey%,DisplayName,0x00000000,"%DriverProduct%"

; *********************************************************************
; System area registry entries common across 9x and w2k+ platforms
; *********************************************************************

HKCR,CLSID\{2F603045-309F-11CF-9774-0020AFD0CFF6}\InProcServer32,,0x00000000,"%16422%\%targetdir%\SynTPCpl.dll"
HKCR,CLSID\{2F603045-309F-11CF-9774-0020AFD0CFF6}\InProcServer32,ThreadingModel,0x00000000,"Apartment"

HKLM,"Software\Microsoft\Windows\CurrentVersion\Controls Folder\Mouse\shellex\PropertySheetHandlers\SynTP",,0x00000000,"{2F603045-309F-11CF-9774-0020AFD0CFF6}"
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SynTPLpr,0x00000000,"%16422%\%targetdir%\SynTPLpr.exe"
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SynTPEnh,0x00000000,"%16422%\%targetdir%\SynTPEnh.exe"
HKLM,Software\Microsoft\Windows\Help,SynTP.hlp,0x00000000,"%16422%\%targetdir%"
HKLM,Software\Microsoft\Windows\HTML Help,SynTP.chm,0x00000000,"%16422%\%targetdir%"

; This section is added to all INFs to add registry entries for Driver Info.
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%,Description,,%DriverDescription%
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%,CurrentVer,,%DriverOEMVersion%
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%,Ver_%DriverOEMVersion%,,%DriverVersionID%
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%, BaseDriverFileName,,%BaseDriverFileName%
HKLM,Software\InstalledOptions\%DriverOEM%\%DriverFamily%\%DriverMfgr%\%DriverProduct%, BaseDriverFileVersion,,%BaseDriverFileVersion%

; Store the Program Files directory and the install directory (source path)
; in the registry for SynTPCoI.dll.
HKLM,Software\Synaptics\SynTP\Install,ProgDir,0x00000000,"%16422%\%targetdir%"
HKLM,Software\Synaptics\SynTP\Install,InstallDir,0x00000000,"%1%"

; *********************************************************************
; Plugin descriptors.
; *********************************************************************

HKLM,Software\Synaptics\SynTPPlugIns\SynTP,Start,0x00000000,"%16422%\%targetdir%\SynTPEnh /RegPlugIn"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP,ResourceModule,0x00000000,"%16422%\%targetdir%\SynTPEnh.exe"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,ShortName,0x00000000,"Start"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,ShortNameID,0x00010001,15
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,LongNameID,0x00010001,21
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,BitmapID,0x00010001,117
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,OrderID,0x00010001,240
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,HelpFile,0x00000000,"SynTP.hlp"
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,HelpCommand,0x00010001,1
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\0,HelpData,0x00010001,1101
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,ShortName,0x00000000,"Menu"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,ShortNameID,0x00010001,14
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,LongNameID,0x00010001,20
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,BitmapID,0x00010001,116
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,OrderID,0x00010001,280
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,HelpFile,0x00000000,"SynTP.hlp"
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,HelpCommand,0x00010001,1
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\4,HelpData,0x00010001,1102
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,ShortName,0x00000000,"Minimize"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,ShortNameID,0x00010001,16
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,LongNameID,0x00010001,22
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,BitmapID,0x00010001,129
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,OrderID,0x00010001,420
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,HelpFile,0x00000000,"SynTP.hlp"
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,HelpCommand,0x00010001,1
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\1,HelpData,0x00010001,1103
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,ShortName,0x00000000,"Maximize"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,ShortNameID,0x00010001,17
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,LongNameID,0x00010001,23
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,BitmapID,0x00010001,130
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,OrderID,0x00010001,480
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,HelpFile,0x00000000,"SynTP.hlp"
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,HelpCommand,0x00010001,1
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\3,HelpData,0x00010001,1104
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,ShortName,0x00000000,"Run..."
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,ShortNameID,0x00010001,19
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,LongNameID,0x00010001,25
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,Configurable,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,BitmapID,0x00010001,120
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,OrderID,0x00010001,2080
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,HelpFile,0x00000000,"SynTP.hlp"
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,HelpCommand,0x00010001,1
; HKLM,Software\Synaptics\SynTPPlugIns\SynTP\5,HelpData,0x00010001,1106
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,ShortName,0x00000000,"Scroll"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,ShortNameID,0x00010001,44
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,LongNameID,0x00010001,45
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,BitmapID,0x00010001,131
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\7,OrderID,0x00010001,640
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,ShortName,0x00000000,"Scroll"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,ShortNameID,0x00010001,46
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,LongNameID,0x00010001,47
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,BitmapID,0x00010001,132
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\8,OrderID,0x00010001,680
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,ShortName,0x00000000,"Scroll"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,ShortNameID,0x00010001,48
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,LongNameID,0x00010001,49
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,BitmapID,0x00010001,133
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\9,OrderID,0x00010001,720
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,ShortName,0x00000000,"Scroll"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,ShortNameID,0x00010001,50
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,LongNameID,0x00010001,51
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,BitmapID,0x00010001,134
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\10,OrderID,0x00010001,760
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,NameMode,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,ShortName,0x00000000,"----"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,LongName,0x00000000,"----"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,ShortNameID,0x00010001,54
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,LongNameID,0x00010001,55
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\11,OrderID,0x00010001,20
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,NameMode,0x00010001,1
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,ShortName,0x00000000,"Double"
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,ShortNameID,0x00010001,56
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,LongNameID,0x00010001,57
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,Configurable,0x00010001,0
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,ValidZones,0x00010001,0xffcfffff
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,BitmapID,0x00010001,135
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\13,OrderID,0x00010001,840
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,ShortName,0x00000000,"Browse"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,ShortNameID,0x00010001,60
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,LongNameID,0x00010001,61
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\14,BitmapID,0x00010001,136
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\14,OrderID,0x00010001,1040
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,HelpData,0x00010001,1108
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\14,HelpFile,0x00000000,"SynTP.hlp"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,ShortName,0x00000000,"Browse"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,ShortNameID,0x00010001,62
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,LongNameID,0x00010001,63
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\15,BitmapID,0x00010001,137
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\15,OrderID,0x00010001,1120
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,HelpData,0x00010001,1109
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\15,HelpFile,0x00000000,"SynTP.hlp"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,Configurable,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,ShortName,0x00000000,"Web"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,ShortNameID,0x00010001,64
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,LongNameID,0x00010001,65
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,BitmapID,0x00010001,147
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,OrderID,0x00010001,1320
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,HelpData,0x00010001,1110
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\16,HelpFile,0x00000000,"SynTP.hlp"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,ShortName,0x00000000,"Reload"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,ShortNameID,0x00010001,67
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,LongNameID,0x00010001,68
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\17,BitmapID,0x00010001,138
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\17,OrderID,0x00010001,1280
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,HelpData,0x00010001,1111
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\17,HelpFile,0x00000000,"SynTP.hlp"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,ShortName,0x00000000,"Stop"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,ShortNameID,0x00010001,69
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,LongNameID,0x00010001,70
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\18,BitmapID,0x00010001,139
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\18,OrderID,0x00010001,1360
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,HelpData,0x00010001,1112
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\18,HelpFile,0x00000000,"SynTP.hlp"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\19,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\19,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\19,ShortName,0x00000000,"Page Up"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\19,ShortNameID,0x00010001,71
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\19,LongNameID,0x00010001,72
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\19,BitmapID,0x00010001,140
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\19,OrderID,0x00010001,1420
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\20,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\20,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\20,ShortName,0x00000000,"Page Down"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\20,ShortNameID,0x00010001,73
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\20,LongNameID,0x00010001,74
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\20,BitmapID,0x00010001,141
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\20,OrderID,0x00010001,1460
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\23,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\23,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\23,ShortName,0x00000000,"Up Arrow"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\23,ShortNameID,0x00010001,83
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\23,LongNameID,0x00010001,87
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\23,BitmapID,0x00010001,142
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\23,OrderID,0x00010001,1560
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\24,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\24,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\24,ShortName,0x00000000,"Down Arrow"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\24,ShortNameID,0x00010001,84
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\24,LongNameID,0x00010001,88
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\24,BitmapID,0x00010001,143
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\24,OrderID,0x00010001,1600
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\25,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\25,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\25,ShortName,0x00000000,"Left Arrow"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\25,ShortNameID,0x00010001,85
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\25,LongNameID,0x00010001,89
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\25,BitmapID,0x00010001,144
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\25,OrderID,0x00010001,1640
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\26,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\26,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\26,ShortName,0x00000000,"Right Arrow"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\26,ShortNameID,0x00010001,86
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\26,LongNameID,0x00010001,90
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\26,BitmapID,0x00010001,145
HKLM,Software\Synaptics\SynTPPlugIns\SynTP\26,OrderID,0x00010001,1680
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,Configurable,0x00010001,0
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,NameMode,0x00010001,2
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,ShortName,0x00000000,"Stick Scrolling"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,ShortNameID,0x00010001,91
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,LongNameID,0x00010001,92
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\27,OrderID,0x00010001,1860
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,Configurable,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,NameMode,0x00010001,1
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,ShortName,0x00000000,"Keyboard Macro"
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,ShortNameID,0x00010001,93
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,LongNameID,0x00010001,94
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,BitmapID,0x00010001,146
HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,OrderID,0x00010001,2040
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,HelpCommand,0x00010001,1
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,HelpData,0x00010001,1113
; HKLM,SOFTWARE\Synaptics\SynTPPlugIns\SynTP\28,HelpFile,0x00000000,"SynTP.hlp"

; *********************************************************************
; Driver defaults.
; *********************************************************************

; Default parameters
HKLM,Software\Synaptics\SynTP\Defaults,RimRightOffsetFWCoord,0x00010001,350
HKLM,Software\Synaptics\SynTP\Defaults,RimTopOffsetFWCoord,0x00010001,400
HKLM,Software\Synaptics\SynTP\Defaults,RimLeftOffsetFWCoord,0x00010001,350
HKLM,Software\Synaptics\SynTP\Defaults,RimBottomOffsetFWCoord,0x00010001,300
HKLM,Software\Synaptics\SynTP\Defaults,LeftBorderWidth,0x00010001,250
HKLM,Software\Synaptics\SynTP\Defaults,RightBorderWidth,0x00010001,250
HKLM,Software\Synaptics\SynTP\Defaults,TopBorderHeight,0x00010001,300
HKLM,Software\Synaptics\SynTP\Defaults,BottomBorderHeight,0x00010001,250
HKLM,Software\Synaptics\SynTP\Defaults,TopLeftCornerWidth,0x00010001,500
HKLM,Software\Synaptics\SynTP\Defaults,TopLeftCornerHeight,0x00010001,700
HKLM,Software\Synaptics\SynTP\Defaults,TopLeftCornerAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,TopRightCornerWidth,0x00010001,500
HKLM,Software\Synaptics\SynTP\Defaults,TopRightCornerHeight,0x00010001,700
HKLM,Software\Synaptics\SynTP\Defaults,TopRightCornerAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,BottomLeftCornerWidth,0x00010001,500
HKLM,Software\Synaptics\SynTP\Defaults,BottomLeftCornerHeight,0x00010001,700
HKLM,Software\Synaptics\SynTP\Defaults,BottomLeftCornerAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,BottomRightCornerWidth,0x00010001,500
HKLM,Software\Synaptics\SynTP\Defaults,BottomRightCornerHeight,0x00010001,700
HKLM,Software\Synaptics\SynTP\Defaults,BottomRightCornerAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,LeftButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Defaults,MiddleButtonAction,0x00010001,4
HKLM,Software\Synaptics\SynTP\Defaults,RightButtonAction,0x00010001,2
HKLM,Software\Synaptics\SynTP\Defaults,UpButtonAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,DownButtonAction,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,DisableTouchPadIfMousePresent,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,EdgeMotion,0x00010001,5
HKLM,Software\Synaptics\SynTP\Defaults,Gestures,0x00010001,3
HKLM,Software\Synaptics\SynTP\Defaults,InvertX,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,InvertY,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,ReportRate,0x00010001,1
HKLM,Software\Synaptics\SynTP\Defaults,SecGestures,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,TouchThreshold,0x00010001,30
HKLM,Software\Synaptics\SynTP\Defaults,UseFIFO,0x00010001,1
HKLM,Software\Synaptics\SynTP\Defaults,AutoRecalibration,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,AutoRecalibrationRotBug,0x00010001,1

; Default plugin actions.
HKLM,Software\Synaptics\SynTP\Defaults,TopLeftCornerPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,TopLeftCornerPlugInActionID,0x00010001,4
HKLM,Software\Synaptics\SynTP\Defaults,TopRightCornerPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,TopRightCornerPlugInActionID,0x00010001,3
HKLM,Software\Synaptics\SynTP\Defaults,BottomLeftCornerPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,BottomLeftCornerPlugInActionID,0x00010001,0
HKLM,Software\Synaptics\SynTP\Defaults,BottomRightCornerPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,BottomRightCornerPlugInActionID,0x00010001,1
HKLM,Software\Synaptics\SynTP\Defaults,UpButtonPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,UpButtonPlugInActionID,0x00010001,7
HKLM,Software\Synaptics\SynTP\Defaults,DownButtonPlugInID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\Defaults,DownButtonPlugInActionID,0x00010001,8

; Default two finger gesture plugins.
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID0,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID0,0x00010001,18
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID1,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID1,0x00010001,19
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID2,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID2,0x00010001,5
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID3,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID3,0x00010001,15
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID4,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID4,0x00010001,17
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID5,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID5,0x00010001,20
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID6,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID6,0x00010001,16
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,PlugInID7,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\2FingerGestures,ActionID7,0x00010001,14
HKLM,Software\Synaptics\SynTP\Defaults\3FingerGestures,PlugInID1,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\3FingerGestures,ActionID1,0x00010001,21
HKLM,Software\Synaptics\SynTP\Defaults\3FingerGestures,PlugInID5,0x00000000,"Syntp"
HKLM,Software\Synaptics\SynTP\Defaults\3FingerGestures,ActionID5,0x00010001,22

HKLM,Software\Synaptics\SynTP\Stick,Gestures,0x00010001,1
HKLM,Software\Synaptics\SynTP\Stick,TouchThreshold,0x00010001,4
HKLM,Software\Synaptics\SynTP\Stick,PTSThreshold,0x00010001,4

; *********************************************************************
; Mark certain driver parameters as configurable.
; *********************************************************************

HKLM,Software\Synaptics\SynTP\Configurable,LeftBorderWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,RightBorderWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopBorderHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomBorderHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopLeftCornerWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopLeftCornerHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopLeftCornerAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopRightCornerWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopRightCornerHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopRightCornerAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TopBorderHeightVert,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomBorderHeightVert,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomLeftCornerWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomLeftCornerHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomLeftCornerAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomRightCornerWidth,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomRightCornerHeight,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,BottomRightCornerAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,LeftButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,MiddleButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,RightButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,UpButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,DownButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,Gestures,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,SecGestures,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,EdgeMotion,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,EdgeMotionSpeed,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,CursorMotion,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,CursorSpeed,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ModKeyCursorSpeed,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ModKeyCursorConstrainXY,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,TouchThreshold,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ReportRate,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,PalmRT,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,DisableTouchPadIfMousePresent,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,PTSThreshold,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,DisableDevice,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,StykSensitivityIdx,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,UpperPlateauFactorIdx,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,StykPTSTimeConstantIdx,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,PTSMeansSecVirt,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton1Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton2Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton3Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton4Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton5Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton6Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton7Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,ExButton8Action,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,EnableButtonAction,0x00010001,1
HKLM,Software\Synaptics\SynTP\Configurable,MotionRotationAngle,0x00010001,1

; *********************************************************************
; Default enhancements application parameters.
; *********************************************************************

HKLM,Software\Synaptics\SynTPEnh,IniFile,0x00000000,"%16422%\%targetdir%\SynTPEnh.ini"
HKLM,Software\Synaptics\SynTPEnh\PopupConfig,Pressure Graph,0x00000000,"%16422%\%targetdir%\SynZMetr.exe"
HKLM,Software\Synaptics\SynTPEnh\PopupConfig,MoodPad,0x00000000,"%16422%\%targetdir%\SynMood.exe"
HKLM,Software\Synaptics\SynTPEnh,ForceNoTips,0x00010001,0
HKLM,Software\Synaptics\SynTPEnh,CancelCoastingMotionThreshold,0x00010001,5
HKLM,Software\Synaptics\SynTPEnh\PlugInConfig\Defaults\2FingerGestures,ConfigID2,0x00000000,"%16422%\%targetdir%\SynMood.exe"
HKLM,Software\Synaptics\SynTPEnh\PlugInConfig\Defaults\2FingerGestures,ConfigID6,0x00000000,"www.synaptics.com"
HKLM,Software\Synaptics\SynTPEnh\ZoneConfig\Defaults\Plugin Zone,ConfigFlags,0x00010001,1

; *********************************************************************
; Default control panel parameters.
; *********************************************************************

HKLM,Software\Synaptics\SynTPCpl,DisplayPalmCheckText,0x00010001,1
HKLM,Software\Synaptics\SynTPCpl,HotLinkURL,0x00000000,"www.synaptics.com"
HKLM,Software\Synaptics\SynTPCpl,PracticeExe,0x00000000,"%16422%\%targetdir%\Tutorial.exe"
HKLM,Software\Synaptics\SynTPCpl,LogoToDisplay,0x00010001,-1
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonTemplate,0x00000000,"Flags,X,Y,ConfigX,ConfigY,TextRID,TextX,TextY"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,LeftButton,0x00000000,"0x1f,33,58,13,58,124,25,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,RightButton,0x00000000,"0x1f,203,58,271,58,125,195,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,MiddleButton,0x00000000,"0x1f,118,58,98,58,139,110,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,RockerUp,0x00000000,"0x1f,118,109,98,109,1223,110,96"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,RockerCenter,0x00000000,"0x1f,118,128,98,128,0,0,0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,RockerDown,0x00000000,"0x1f,118,147,98,147,0,0,0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx1,0x00000000,"0x1f,33,92,13,92,140,25,81"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx2,0x00000000,"0x1f,33,119,13,119,141,25,108"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx3,0x00000000,"0x1f,33,146,13,146,142,25,135"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx4,0x00000000,"0x1f,33,173,13,173,143,25,162"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx5,0x00000000,"0x1f,203,92,271,92,144,195,81"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx6,0x00000000,"0x1f,203,119,271,119,145,195,108"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx7,0x00000000,"0x1f,203,146,271,146,146,195,135"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Touchpad,ButtonEx8,0x00000000,"0x1f,203,173,271,173,147,195,162"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonTemplate,0x00000000,"Flags,X,Y,ConfigX,ConfigY,TextRID,TextX,TextY"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,LeftButton,0x00000000,"0x1f,33,58,13,58,124,25,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,RightButton,0x00000000,"0x1f,203,58,271,58,125,195,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,MiddleButton,0x00000000,"0x1f,118,58,98,58,139,110,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,RockerUp,0x00000000,"0x1f,118,109,98,109,1223,110,96"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,RockerCenter,0x00000000,"0x1f,118,128,98,128,0,0,0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,RockerDown,0x00000000,"0x1f,118,147,98,147,0,0,0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx1,0x00000000,"0x1f,33,92,13,92,140,25,81"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx2,0x00000000,"0x1f,33,119,13,119,141,25,108"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx3,0x00000000,"0x1f,33,146,13,146,142,25,135"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx4,0x00000000,"0x1f,33,173,13,173,143,25,162"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx5,0x00000000,"0x1f,203,92,271,92,144,195,81"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx6,0x00000000,"0x1f,203,119,271,119,145,195,108"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx7,0x00000000,"0x1f,203,146,271,146,146,195,135"
HKLM,SOFTWARE\Synaptics\SynTPCpl\Defaults,ButtonEx8,0x00000000,"0x1f,203,173,271,173,147,195,162"
HKLM,SOFTWARE\Synaptics\SynTPCpl,DisplayGestures,0x00010001,0

; *********************************************************************
; Product specific entries.
; *********************************************************************

; QS30 touchpad
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadQS30,RockerUp,0x00000000,"0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadQS30,RockerCenter,0x00000000,"0"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadQS30,RockerDown,0x00000000,"0"

; Hex Button touchpad
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton1Action,0x00010001,0
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton1PluginID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton1PluginActionID,0x00010001,7
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton2Action,0x00010001,0
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton2PluginID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton2PluginActionID,0x00010001,8
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton3Action,0x00010001,0
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton3PluginID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton3PluginActionID,0x00010001,9
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton4Action,0x00010001,0
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton4PluginID,0x00000000,"SynTP"
HKLM,Software\Synaptics\SynTP\TouchpadHexBtn,ExButton4PluginActionID,0x00010001,10
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,ButtonTemplate,0x00000000,"Flags,X,Y,ConfigX,ConfigY,TextRID,TextX,TextY"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,LeftButton,0x00000000,"0x1f,33,58,13,58,124,25,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,RightButton,0x00000000,"0x1f,203,58,271,58,125,195,47"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,ButtonEx1,0x00000000,"0x1f,118,92,98,92,1231,107,81"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,ButtonEx3,0x00000000,"0x0f,73,124,53,124"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,ButtonEx4,0x00000000,"0x0f,163,124,231,124"
HKLM,SOFTWARE\Synaptics\SynTPCpl\TouchpadHexBtn,ButtonEx2,0x00000000,"0x0f,118,156,186,156"
HKLM,Software\Synaptics\SynTPEnh\Gamepad,TouchpadHexBtn,0x00010001,1

; VScrlTP: Have horizontal scrolling off by default
HKLM,Software\Synaptics\SynTPEnh\ZoneConfig\TouchPadVScrlTP\Horizontal Scrolling,ConfigFlags,0x00000004,1

;----------------------------------------------------------------------------
; Serial TouchPad
;----------------------------------------------------------------------------

[SynTP_Ser_Inst]
CopyFiles = CopyFiles_Drivers,CopyFiles_System,CopyFiles_ProgFiles
AddReg = Common_AddReg
DelReg = Common_DelReg

[SynTP_Ser_Inst.Services]
AddService = SynTP, 0x00000002, SynTP_Service_Inst, SynTP_EventLog_Inst ; Port Driver

[SynTP_Ser_Inst.HW]
AddReg = SynTP_Ser_AddReg.HW

[SynTP_Ser_AddReg.HW]
HKR,,SynPortType,0x00010001,2

;----------------------------------------------------------------------------
; CoInstaller Support for the Serial TouchPad driver
;----------------------------------------------------------------------------

[SynTP_Ser_Inst.CoInstallers]
CopyFiles = CopyFiles_CoInstaller
AddReg = SynTP_Ser_Inst.CoInstallers_AddReg

[SynTP_Ser_Inst.CoInstallers_AddReg]
HKR,,CoInstallers32,0x00010000,"SynTPCoI.dll,SerDeviceInstall"

;----------------------------------------------------------------------------
; PS/2 TouchPad
;----------------------------------------------------------------------------

[SynPS2_Inst]
Include=msmouse.inf
Needs=PS2_Inst
CopyFiles = CopyFiles_Drivers,CopyFiles_System,CopyFiles_ProgFiles
AddReg = Common_AddReg
DelReg = Common_DelReg

[SynPS2_Inst.Services]
AddService = SynTP,,SynTP_Service_Inst, SynTP_EventLog_Inst ; Port Driver

[SynPS2_Inst.HW]
AddReg = SynPS2_AddReg.HW

[SynPS2_AddReg.HW]
HKR,,"UpperFilters",0x00010000,"SynTP"
HKR,,SynPortType,0x00010001,1

;----------------------------------------------------------------------------
; CoInstaller Support for the PS/2 TouchPad driver
;----------------------------------------------------------------------------

[SynPS2_Inst.CoInstallers]
CopyFiles = CopyFiles_CoInstaller
AddReg = SynPS2_Inst.CoInstallers_AddReg

[SynPS2_Inst.CoInstallers_AddReg]
HKR,,CoInstallers32,0x00010000,"SynTPCoI.dll,PS2DeviceInstall"

;============================================================================
; IBM PS/2 Pointing Devices
;----------------------------------------------------------------------------

[IBM0057_Inst]
Include=msmouse.inf
Needs=PS2_Inst
CopyFiles = CopyFiles_Drivers,CopyFiles_System,CopyFiles_ProgFiles, IBM0057_CopyFiles
AddReg = Common_AddReg, IBM0057_AddReg
DelReg = Common_DelReg, IBM0057_DelReg

[IBM0057_CopyFiles]

[IBM0057_AddReg]
HKLM,Software\Synaptics\SynTPEnh,ForceNoTips,0x00010001,1

[IBM0057_DelReg]

[IBM0057_Inst.Services]
AddService = SynTP,,SynTP_Service_Inst, SynTP_EventLog_Inst ; Port Driver

[IBM0057_Inst.HW]
AddReg = IBM0057_AddReg.HW

[IBM0057_AddReg.HW]
HKR,,"UpperFilters",0x00010000,"SynTP"
HKR,,SynPortType,0x00010001,1

;----------------------------------------------------------------------------
; CoInstaller Support for the PS/2 TouchPad driver
;----------------------------------------------------------------------------

[IBM0057_Inst.CoInstallers]
CopyFiles = CopyFiles_CoInstaller
AddReg = IBM0057_Inst.CoInstallers_AddReg

[IBM0057_Inst.CoInstallers_AddReg]
HKR,,CoInstallers32,0x00010000,"SynTPCoI.dll,PS2DeviceInstall"

;----------------------------------------------------------------------------
; USB TouchPad
;----------------------------------------------------------------------------

[HID_Inst]
CopyFiles = CopyFiles_Drivers,CopyFiles_System,CopyFiles_ProgFiles
AddReg = Common_AddReg
DelReg = Common_DelReg

[HID_Inst.Services]
AddService = SynTP,,SynTP_Service_Inst, SynTP_EventLog_Inst ; Port Driver

[HID_Inst.HW]
AddReg = HID_AddReg.HW

[HID_AddReg.HW]
; Install intercept filter just above mouhid and just below mouclass.
HKR,,"UpperFilters",0x00010000,"SynTP"
HKR,,SynPortType,0x00010001,5

;----------------------------------------------------------------------------
; CoInstaller Support for the USB TouchPad driver
;----------------------------------------------------------------------------

[HID_Inst.CoInstallers]
CopyFiles = CopyFiles_CoInstaller
AddReg = HID_Inst.CoInstallers_AddReg

[HID_Inst.CoInstallers_AddReg]
HKR,,CoInstallers32,0x00010000,"SynTPCoI.dll,USBDeviceInstall"

;----------------------------------------------------------------------------
; User visible strings
;----------------------------------------------------------------------------

[Strings]
Provider = "Synaptics"
SynMfg = "Synaptics"
IBMMfg = "IBM Corporation"
DiskName = "Synaptics Driver Installation Disk"
TargetDir = "Synaptics\SynTP"
uninstallKey = "SynTPDeinstKey"

; Driver Information Entries
DriverMfgr="Synaptics"
DriverVersionID="6.6.0"
DriverOEM="Synaptics"
DriverFamily="Mouse"
DriverProduct="Synaptics TouchPad"
DriverDescription="Synaptics Windows 2000\XP TouchPad Driver"
DriverOEMVersion="6.6.0"
BaseDriverFileName="SynTP.sys"
BaseDriverFileVersion="6.6.0"

; Device Names

Ser.DeviceDesc = "Synaptics Serial TouchPad"
PS2.DeviceDesc = "Synaptics PS/2 Port Pointing Device"
PS2.IBMDeviceDesc = "IBM ThinkPad UltraNav Pointing Device"
PS2.SonyDeviceDesc = "Sony PS/2 TouchPad"
PS2.NECDeviceDesc = "NX Pad"
PS2.SynDeviceDesc = "Synaptics PS/2 Port TouchPad"
; Comment out the above line and uncomment one of the below lines to replace
; the name that shows up the device manager for the TouchPad
; PS2.DeviceDesc = "NX PAD"
; PS2.DeviceDesc = "VersaGlide"
HID\Vid_06CB&Pid_0001.DeviceDesc = "Synaptics USB TouchPad"
HID\Vid_06CB&Pid_0002.DeviceDesc = "Synaptics Integrated USB TouchPad"
HID\Vid_06CB&Pid_0003.DeviceDesc = "Synaptics cPad"
HID\Vid_06CB&Pid_0006.DeviceDesc = "Synaptics TouchScreen"
HID\Vid_06CB&Pid_0007.DeviceDesc = "Synaptics USB Styk"
HID\Vid_06CB&Pid_0008.DeviceDesc = "Synaptics USB WheelPad"

UNKNOWN_MOUSE.DeviceDesc = "Pointing device"

; Service Names

SynTP.SvcDesc = "Synaptics TouchPad Driver"
